osgUtil::Hit Class Reference

`#include <IntersectVisitor>`

## Public Types

typedef std::vector< int > | VecIndexList

## Public Member Functions

| Hit ()
| Hit (const Hit &hit)
| ~Hit ()
Hit & | operator= (const Hit &hit)
bool | operator< (const Hit &hit) const
const osg::Vec3 & | getLocalIntersectPoint () const
const osg::Vec3 & | getLocalIntersectNormal () const
const osg::Vec3 | getWorldIntersectPoint () const
const osg::Vec3 | getWorldIntersectNormal () const
float | getRatio () const
const osg::LineSegment * | getOriginalLineSegment () const
const osg::LineSegment * | getLocalLineSegment () const
osg::NodePath & | getNodePath ()
const osg::NodePath & | getNodePath () const
osg::Geode * | getGeode ()
const osg::Geode * | getGeode () const
osg::Drawable * | getDrawable ()
const osg::Drawable * | getDrawable () const
const osg::RefMatrix * | getMatrix () const
const osg::RefMatrix * | getInverseMatrix () const
const VecIndexList & | getVecIndexList () const
int | getPrimitiveIndex () const

## Public Attributes

float | _ratio
osg::ref_ptr< osg::LineSegment > | _originalLineSegment
osg::ref_ptr< osg::LineSegment > | _localLineSegment
osg::NodePath | _nodePath
osg::ref_ptr< osg::Geode > | _geode
osg::ref_ptr< osg::Drawable > | _drawable
osg::ref_ptr< osg::RefMatrix > | _matrix
osg::ref_ptr< osg::RefMatrix > | _inverse
VecIndexList | _vecIndexList
int | _primitiveIndex
osg::Vec3 | _intersectPoint
osg::Vec3 | _intersectNormal

## Detailed Description

Deprecated

## Member Typedef Documentation

## VecIndexList

typedef std::vector<int> osgUtil::Hit::VecIndexList

## Constructor & Destructor Documentation

## Hit() [1/2]

osgUtil::Hit::Hit | ( |  | ) |

Referenced by Hit(), operator<(), and operator=().

## Hit() [2/2]

osgUtil::Hit::Hit | ( | const Hit & | hit | ) |

References Hit().

## ~Hit()

osgUtil::Hit::~Hit | ( |  | ) |

## Member Function Documentation

## getDrawable() [1/2]

osg::Drawable * osgUtil::Hit::getDrawable | ( |  | ) |

inline

References _drawable.

## getDrawable() [2/2]

const osg::Drawable * osgUtil::Hit::getDrawable | ( |  | ) | const

inline

References _drawable.

## getGeode() [1/2]

osg::Geode * osgUtil::Hit::getGeode | ( |  | ) |

inline

References _geode.

## getGeode() [2/2]

const osg::Geode * osgUtil::Hit::getGeode | ( |  | ) | const

inline

References _geode.

## getInverseMatrix()

const osg::RefMatrix * osgUtil::Hit::getInverseMatrix | ( |  | ) | const

inline

References _inverse.

## getLocalIntersectNormal()

const osg::Vec3 & osgUtil::Hit::getLocalIntersectNormal | ( |  | ) | const

inline

References _intersectNormal.

## getLocalIntersectPoint()

const osg::Vec3 & osgUtil::Hit::getLocalIntersectPoint | ( |  | ) | const

inline

References _intersectPoint.

## getLocalLineSegment()

const osg::LineSegment * osgUtil::Hit::getLocalLineSegment | ( |  | ) | const

inline

References _localLineSegment.

## getMatrix()

const osg::RefMatrix * osgUtil::Hit::getMatrix | ( |  | ) | const

inline

References _matrix.

## getNodePath() [1/2]

osg::NodePath & osgUtil::Hit::getNodePath | ( |  | ) |

inline

References _nodePath.

## getNodePath() [2/2]

const osg::NodePath & osgUtil::Hit::getNodePath | ( |  | ) | const

inline

References _nodePath.

## getOriginalLineSegment()

const osg::LineSegment * osgUtil::Hit::getOriginalLineSegment | ( |  | ) | const

inline

References _originalLineSegment.

## getPrimitiveIndex()

int osgUtil::Hit::getPrimitiveIndex | ( |  | ) | const

inline

References _primitiveIndex.

## getRatio()

float osgUtil::Hit::getRatio | ( |  | ) | const

inline

References _ratio.

## getVecIndexList()

const VecIndexList & osgUtil::Hit::getVecIndexList | ( |  | ) | const

inline

References _vecIndexList.

## getWorldIntersectNormal()

const osg::Vec3 osgUtil::Hit::getWorldIntersectNormal | ( |  | ) | const

## getWorldIntersectPoint()

const osg::Vec3 osgUtil::Hit::getWorldIntersectPoint | ( |  | ) | const

inline

References _intersectPoint, and _matrix.

## operator<()

bool osgUtil::Hit::operator< | ( | const Hit & | hit | ) | const

inline

References _originalLineSegment, _ratio, and Hit().

## operator=()

Hit & osgUtil::Hit::operator= | ( | const Hit & | hit | ) |

References Hit().

## Member Data Documentation

## _drawable

osg::ref_ptr<osg::Drawable> osgUtil::Hit::_drawable

Referenced by getDrawable(), and getDrawable().

## _geode

osg::ref_ptr<osg::Geode> osgUtil::Hit::_geode

Referenced by getGeode(), and getGeode().

## _intersectNormal

osg::Vec3 osgUtil::Hit::_intersectNormal

Referenced by getLocalIntersectNormal().

## _intersectPoint

osg::Vec3 osgUtil::Hit::_intersectPoint

Referenced by getLocalIntersectPoint(), and getWorldIntersectPoint().

## _inverse

osg::ref_ptr<osg::RefMatrix> osgUtil::Hit::_inverse

Referenced by getInverseMatrix().

## _localLineSegment

osg::ref_ptr<osg::LineSegment> osgUtil::Hit::_localLineSegment

Referenced by getLocalLineSegment().

## _matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::Hit::_matrix

Referenced by getMatrix(), and getWorldIntersectPoint().

## _nodePath

osg::NodePath osgUtil::Hit::_nodePath

Referenced by getNodePath(), and getNodePath().

## _originalLineSegment

osg::ref_ptr<osg::LineSegment> osgUtil::Hit::_originalLineSegment

Referenced by getOriginalLineSegment(), and operator<().

## _primitiveIndex

int osgUtil::Hit::_primitiveIndex

Referenced by getPrimitiveIndex().

## _ratio

float osgUtil::Hit::_ratio

Referenced by getRatio(), and operator<().

## _vecIndexList

VecIndexList osgUtil::Hit::_vecIndexList

Referenced by getVecIndexList().

The documentation for this class was generated from the following file:

- IntersectVisitor